const typescript = require('rollup-plugin-typescript2')
const pkg = require('../package.json')
const banner = `/*!
* ${pkg.name} v${pkg.version}
* (c) ${new Date().getFullYear()} @ioing
* Released under the ${pkg.license} License.
*/
console.log('${pkg.name} v${pkg.version}');
`

module.exports = {
  input: './src/index.ts',
  output: {
    banner,
    file: './dist/index.js',
    format: 'umd',
    name: 'ioing'
  },
  plugins: [
    typescript({
      verbosity: 2,
      tsconfigOverride: {
        compilerOptions: {
          declaration: true,
          declarationDir: './dist/typings',
          module: 'esnext',
          target: 'es5',
          sourceMap: true
        }
      },
      inlineSourceMap: true,
      sourceMap: true,
      useTsconfigDeclarationDir: true
    })
  ]
}
