const ip = require('ip')
const path = require('path')
const webpack = require('webpack')
const HtmlWebpackPlugin = require('html-webpack-plugin')

const mode = 'development'
const entrys = {
  main: './demo/test.js'
}

module.exports = {
  mode: mode,
  watch: true,
  devtool: 'source-map',
  entry: entrys,
  output: {
    path: path.resolve(__dirname, './dist'),
    filename: '[name].js'
  },
  resolve: {
    extensions: [".ts", ".js"]
  },
  module: {
    rules: [
      {
        test: /\.ts$/,
        exclude: /node_modules/,
        loader: ["babel-loader", "ts-loader"]
      },
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: "babel-loader"
      }
    ]
  },
  plugins: [
    new webpack.HotModuleReplacementPlugin(),
    new HtmlWebpackPlugin({
      title: 'ShadowFunction'
    }),
  ],
  devServer:{
    contentBase:'./',
    host: ip.address(),
    hot: true
  },
  watchOptions: {
    poll: 500,
    aggregateTimeout: 100,
    ignored: '/node_moduels/'
  }
}